### Method

# Gimp Procedure add_palette_return_value

since: 3.0

#### Declaration [src]

    void
    gimp_procedure_add_palette_return_value (
      GimpProcedure* procedure,
      const gchar* name,
      const gchar* nick,
      const gchar* blurb,
      GParamFlags flags
    )

#### Description [src]

Add a new `GimpPalette` return value to `procedure`.

Available since: 3.0

#### Parameters

`name`

  Type: `const gchar*`

  The name of the argument to be created.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`nick`

  Type: `const gchar*`

  The label used in `GimpProcedureDialog`.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`blurb`

  Type: `const gchar*`

  A more detailed help description.

  The argument can be `NULL`.
  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`flags`

  Type: `GParamFlags`

  Argument flags.